Pular para o conteúdo
Esc
↑↓navegar↵abrir⌘Jpré-visualizar

Delete a thread

Moves it to trash, where it is deleted after 30 days; moving it out of trash restores it. deleted is false when it was in trash already.

DELETE/inboxes/{inbox_id}/threads/{thread_id}
Autorização
AuthorizationToken Bearer · headerobrigatório

A BillionSend API key (bs_…).

Parâmetros de caminho
inbox_idstringobrigatório

The inbox ID or its email address, such as support@example.com

thread_idstring<uuid>obrigatório

The thread ID

Respostas
200

Thread moved to trash

objectstringobrigatório
Valores permitidos:inbox_thread
idstring<uuid>obrigatório
deletedbooleanobrigatório
401

Missing, malformed, unknown or revoked API key

statusCodenumberobrigatório
namestringobrigatório
messagestringobrigatório
404

Not found

statusCodenumberobrigatório
namestringobrigatório
messagestringobrigatório
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumberobrigatório
namestringobrigatório
messagestringobrigatório
Experimentar
Servidor
Autorização
Parâmetros
Requisição
curl -X DELETE 'https://api.billionsend.com/inboxes/string/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Resposta
{
  "object": "inbox_thread",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "deleted": true
}

Esta página foi útil?